Package org.apache.ignite.spi.metric.jmx

## Class ReadOnlyDynamicMBean

- java.lang.Object
- - org.apache.ignite.spi.metric.jmx.ReadOnlyDynamicMBean

- All Implemented Interfaces:
    `DynamicMBean`
  Direct Known Subclasses:
    `MetricRegistryMBean`

      public abstract class ReadOnlyDynamicMBean
      extends Object
      implements DynamicMBean

  Base class for read only `DynamicMBean` implementations.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyDynamicMBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AttributeList` | `getAttributes​(String[] attributes)`
    `Object` | `invoke​(String actionName, Object[] params, String[] signature)`
    `void` | `setAttribute​(Attribute attr)`
    `AttributeList` | `setAttributes​(AttributeList attrs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.management.DynamicMBean

      `getAttribute, getMBeanInfo`

- - ### Constructor Detail

    - #### ReadOnlyDynamicMBean

          public ReadOnlyDynamicMBean()

  - ### Method Detail

    - #### setAttribute

          public void setAttribute​(Attribute attr)

      Specified by:
        `setAttribute` in interface `DynamicMBean`

    - #### setAttributes

          public AttributeList setAttributes​(AttributeList attrs)

      Specified by:
        `setAttributes` in interface `DynamicMBean`

    - #### invoke

          public Object invoke​(String actionName,
                               Object[] params,
                               String[] signature)
                        throws MBeanException,
                               ReflectionException

      Specified by:
        `invoke` in interface `DynamicMBean`
      Throws:
        `MBeanException`
        `ReflectionException`

    - #### getAttributes

          public AttributeList getAttributes​(String[] attributes)

      Specified by:
        `getAttributes` in interface `DynamicMBean`